> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vers.sh/llms.txt
> Use this file to discover all available pages before exploring further.

# Get apiv1vmcommits parents



## OpenAPI

````yaml /api-reference/openapi.json get /api/v1/vm/commits/{commit_id}/parents
openapi: 3.1.0
info:
  title: Orchestrator Control Plane API
  description: ''
  license:
    name: ''
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/vm/commits/{commit_id}/parents:
    get:
      tags:
        - commits
      operationId: list_parent_commits
      parameters:
        - name: commit_id
          in: path
          description: Commit ID to start from
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: List of commits from the specified commit to the root
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/VmCommitEntity'
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Commit not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - bearer_auth: []
components:
  schemas:
    VmCommitEntity:
      type: object
      required:
        - id
        - owner_id
        - name
        - created_at
        - is_public
      properties:
        created_at:
          type: string
          format: date-time
        description:
          type:
            - string
            - 'null'
        grandparent_commit_id:
          type:
            - string
            - 'null'
          format: uuid
          description: >-
            The commit that this commit's parent VM was started from, if any.
            Intended to optimize traversing the commit tree.
        id:
          type: string
          format: uuid
        is_public:
          type: boolean
          description: >-
            Whether this commit is publicly accessible (readable/restorable by
            anyone).
        name:
          type: string
        owner_id:
          type: string
          format: uuid
          description: api key id.
        parent_vm_id:
          type:
            - string
            - 'null'
          format: uuid
          description: The VM that this commit was created from, if any.
    ErrorResponse:
      type: object
      properties:
        error:
          type: string
          description: Reason of error
        success:
          type: boolean
          description: 'Is always: false'
  securitySchemes:
    bearer_auth:
      type: http
      scheme: bearer
      bearerFormat: Token

````